/*********************************************************************
 * config-bot.h - Additional header file #include'd in config.h
 *********************************************************************
 * This file is part of the package paco
 * Copyright (C) 2004-2005 David Rosal <david.rosal@upf.edu>
 * For more information visit http://paco.sourceforge.net
 *********************************************************************/
/* vim: set ts=4 */

#include <stdio.h>
#include <unistd.h>
#include <ctype.h>
#include <dirent.h>
#include <stdlib.h>
#include <sys/types.h>
#include <limits.h>
#include <assert.h>

#if HAVE_STRING_H
#	include <string.h>
#elif HAVE_STRINGS_H
#	include <strings.h>
#endif

#if HAVE_MEMORY_H
#	include <memory.h>
#endif

#if TIME_WITH_SYS_TIME
#	include <sys/time.h>
#	include <time.h>
#else
#	if HAVE_SYS_TIME_H
#		include <sys/time.h>
#	else
#		include <time.h>
#	endif
#endif

#include <errno.h>
#ifndef errno
	extern int errno;
#endif

#ifndef PATH_MAX
#	define PATH_MAX  4096
#endif
#ifndef NAME_MAX
#	define NAME_MAX  256
#endif

#define __UNUSED  __attribute__((__unused__))
#if !HAVE___ATTRIBUTE__ 
#	define __attribute__(x)
#endif

#ifndef MAX
#	define MAX(a,b) (((a)>(b))?(a):(b))
#endif

#define NDEBUG            1
#define G_DISABLE_ASSERT  1

