/*********************************************************************
 * strncasecmp.c - Replacement for strncasecmp()
 *********************************************************************
 * This file is part of the package paco
 * Copyright (C) 2004-2005 David Rosal <david.rosal@upf.edu>
 * For more information visit http://paco.sourceforge.net
 *********************************************************************/
/* vim: set ts=4 */

#if !HAVE_STRNCASECMP

#include "util.h"


/* Convert a string to lower case */
static void str_tolower(const char *s, char *lower)
{
	int i;
	
	for (i = 0; s[i]; i++)
		lower[i] = tolower(s[i]);
	lower[i] = '\0';
}


/* strncasecmp() emulator */
int strncasecmp(const char *a, const char *b, int n)
{
	if (!a || !b || !n)
		return 0;
	
	char alower[strlen(a) + 1], blower[strlen(b) + 1];
	
	str_tolower(a, alower);
	str_tolower(b, blower);
	
	return strncmp(alower, blower, n);
}

#endif  /* !HAVE_STRNCASECMP  */
